Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453293 - Pidgin prompting for unsaved passwords after NetworkManager reconnects
Summary: Pidgin prompting for unsaved passwords after NetworkManager reconnects
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pidgin
Version: 9
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Warren Togami
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-29 05:56 UTC by Naveed Hasan
Modified: 2009-01-13 14:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-13 14:34:35 UTC


Attachments (Terms of Use)

Description Naveed Hasan 2008-06-29 05:56:31 UTC
Since recently upgrading to Fedora 9 and with all current updates, including
pidgin-2.4.2-1.fc9.x86_64 - pidgin always asks for unsaved passwords for all
protocols after a resume. It did not used to do that in Fedora 8, where it would
reconnect without prompting for passwords again after a suspend / resume cycle.
Any ideas about this issue?

The one possibly relevant configuration change I can think of is that I am now
using NetworkManager-0.7.0-0.9.4.svn3675.fc9.x86_64 to manage my network
connections whereas before I was using the old style network service provided by
initscripts. This is probably not the source of this change in behavior, but I
am not sure.

Thanks for your help!

Comment 1 Naveed Hasan 2008-08-04 17:37:02 UTC
After a bit more experience with this issue, I am fairly sure this is a result of moving to NetworkManager. Whenever I disable networking via the applet and reenable shortly afterwards, pidgin apparently forgets all of my entered passwords and reprompts for all of them. Suspending and resuming is just one of the times that NetworkManager causes this problem.

Other applications in which I don't have the password saved in any serialized state don't have this issue. Hopefully this helps point towards the right bit of code.

Comment 2 Naveed Hasan 2008-08-04 18:00:49 UTC
A shot in the dark here, but this may be the same resolution as another NetworkManager issue I was running into recently - https://bugzilla.redhat.com/show_bug.cgi?id=456743#c1

Comment 3 Stu Tomlinson 2009-01-13 14:34:35 UTC
This was fixed in Pidgin 2.5.3


Note You need to log in before you can comment on or make changes to this bug.